Choosing a hosting provider for your Easy Digital Downloads store can seem like an overwhelming task. Over the years we’ve had experiences with many hosting providers, both through customers as well as with our own sites. Finding the right combination of cost, performance, and customer support can be tricky so we’ve put together a little guide to try and help.

Technical requirements

Currently we recommend* the following:

  • PHP 5.6 or greater
  • WordPress 4.9 or greater
  • MySQL Version 5.6 or greater or MariaDB 10.1 or greater

* These will be the minimum requirements for the upcoming EDD 3.0 release.

Easy Digital Downloads currently requires a minimum of:

  • PHP 5.3 or greater
  • WordPress 4.4 or greater
  • MySQL version 5.6 or greater or MariaDB version 10.1 or greater.

We also recommend the following:

  • HTTPS Support
  • Apache or Nginx

Recommended hosting providers

As long as your hosting provider can supply you with an account that meets the above requirements, Easy Digital Downloads will run on your site. There are other factors that can improve or alter your experience like caching layers. Should you have any issues you can always reach out to our support team.

For the past several years, we’ve chosen to host all of our sites with Pagely. We have found their performance and customer support to be ideal for our business needs as we scale.

Currently we host multiple sites running Easy Digital Downloads, alongside a collection of our extensions, and other products developed by Sandhills Development.

Would you like to become a recommended host?

Click here to get in touch